Bug 802160 - file-roller - tar.gz - extraction of single file takes too long unless "CANCEL" is pressed
file-roller - tar.gz - extraction of single file takes too long unless "CANCE...
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: file-roller (Show other bugs)
6.4
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Matthias Clasen
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 14:55 EDT by evets brido
Modified: 2017-03-01 06:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description evets brido 2012-03-11 14:55:20 EDT
Description of problem:

While extracting (double-click) a single small file from a large(ish) tar.gz archive,the extraction dialog takes longer to complete than it should - as if it is decompressing the rest of the large archive, which is not necessary - if the cancel button is pressed during this long wait, the dialog box disappears and the extracted file is launched. 

Version-Release number of selected component (if applicable):

All

How reproducible:

Always
 . the progress bar will jump to 50% and then appear to "freeze" at that point. press the cancel button anytime after the progress bar is at 50% and the dialog box disappears and the double-clicked file will be launched as it was supposed to be.

Steps to Reproduce:
1. double click on a small(ish) file within a large(ish) archive
2. the extracting dialog box appears
3. wait for the progress bar to halt at 50%
4. wait a good long time (too long) for the dialog box to finish and launch the extracted file -- OR HIT CANCEL on the dialog box and watch the extracted file be immediately launched.
  
Actual results:
Extracting dialog box appears to hang at 50% until cancel is pressed or a good long time has elapsed.

Expected results:
Extracted file should be launched as soon as the dialog box reaches 50% -- and the 50% should be 100% !!

Additional info:
Comment 1 evets brido 2012-03-11 14:58:35 EDT
Extracting a 100k jpg from a 2G tar.gz archive will aptly demonstrate this bug
Comment 3 RHEL Product and Program Management 2012-07-10 04:24:16 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 19:12:59 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 RHEL Product and Program Management 2012-09-07 01:33:10 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.